Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005637OCamlCamlp4public2012-06-06 03:262012-07-09 11:45
Reportergarrigue 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.00.0+dev 
Target Version4.00.0+devFixed in Version4.00.0+dev 
Summary0005637: Printer does not agree with parser for anonymous type parameters in type definitions in revised syntax
DescriptionThe following phrase

    type t _ = [ Int : t int ];

is accepted by camlp4r, but the resulting signature is output as

    type t '_ = [ Int: t int ]

which cannot be parsed.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007620)
doligez (administrator)
2012-06-28 12:35

I cannot reproduce this, either with the dev or the beta:
command line:
   camlp4r -printer Camlp4OCamlRevisedPrinter /tmp/foo.ml
output:
   type t _ = [ Int : t int ];

Was this bug fixed inbetween, or do you use different options?
(0007621)
garrigue (manager)
2012-06-28 14:55

I'm using
   ocaml dynlink.cma camlp4r.cma

The bug is still there (both trunk and 4.00).
But indeed there is no problem when using the camlp4r command instead of the toplevel.
(0007622)
hongboz (developer)
2012-06-28 17:40

I tried this problem before. It was reproduced using toplevel. As doligez said that it did not appear when using command line.
(0007665)
xclerc (developer)
2012-07-09 11:45

Everyone was right: it just happen that there are two different printers
depending whether you are inside or outside of the toplevel.

Fixed in trunk (revision 12668) and 4.00 (revision 12669) branches.

- Issue History
Date Modified Username Field Change
2012-06-06 03:26 garrigue New Issue
2012-06-28 12:35 doligez Note Added: 0007620
2012-06-28 12:35 doligez Status new => feedback
2012-06-28 14:55 garrigue Note Added: 0007621
2012-06-28 14:55 garrigue Status feedback => new
2012-06-28 17:40 hongboz Note Added: 0007622
2012-07-04 16:40 doligez Assigned To => xclerc
2012-07-04 16:40 doligez Status new => assigned
2012-07-04 17:16 doligez Target Version => 4.00.0+dev
2012-07-09 11:45 xclerc Note Added: 0007665
2012-07-09 11:45 xclerc Status assigned => resolved
2012-07-09 11:45 xclerc Fixed in Version => 4.00.0+dev
2012-07-09 11:45 xclerc Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker